> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# ドキュメント埋め込みステータス（進捗）を取得

> バッチ内のドキュメントのインデックス進捗を確認します。各ドキュメントの現在の処理段階とチャンク完了数を返します。`indexing_status` が `completed` または `error` に達するまでこのエンドポイントをポーリングしてください。ステータスは次の順序で進行します：`waiting` → `parsing` → `cleaning` → `splitting` → `indexing` → `completed`。



## OpenAPI

````yaml /ja/api-reference/openapi_knowledge.json get /datasets/{dataset_id}/documents/{batch}/indexing-status
openapi: 3.0.1
info:
  title: ナレッジAPI
  description: >-
    ナレッジベース、ドキュメント、チャンク、メタデータ、タグの管理（作成、取得、設定を含む）のための API です。**注意：**単一のナレッジベース
    API キーは、同じアカウント配下のすべての可視ナレッジベースを操作する権限を持ちます。データセキュリティにご注意ください。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Knowledge API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - name: データセット
    description: ナレッジベースの作成、設定、取得を含むナレッジベース管理の操作です。
  - name: ドキュメント
    description: ナレッジベース内のドキュメントの作成、更新、管理のための操作です。
  - name: チャンク
    description: ドキュメントチャンクと子チャンクの管理のための操作です。
  - name: メタデータ
    description: ナレッジベースのメタデータフィールドとドキュメントメタデータ値の管理のための操作です。
  - name: タグ管理
    description: ナレッジベースタグとタグバインディングの管理のための操作です。
  - name: モデル
    description: 利用可能なモデルを取得するための操作です。
  - name: ナレッジパイプライン
    description: データソースプラグインとパイプライン実行を含むナレッジパイプラインの管理と実行のための操作です。
paths:
  /datasets/{dataset_id}/documents/{batch}/indexing-status:
    get:
      tags:
        - ドキュメント
      summary: ドキュメント埋め込みステータス（進捗）を取得
      description: >-
        バッチ内のドキュメントのインデックス進捗を確認します。各ドキュメントの現在の処理段階とチャンク完了数を返します。`indexing_status`
        が `completed` または `error`
        に達するまでこのエンドポイントをポーリングしてください。ステータスは次の順序で進行します：`waiting` → `parsing` →
        `cleaning` → `splitting` → `indexing` → `completed`。
      operationId: getDocumentIndexingStatus
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: ナレッジベース ID です。
        - name: batch
          in: path
          required: true
          schema:
            type: string
          description: ドキュメント作成時に返されるバッチ ID です。
      responses:
        '200':
          description: バッチ内のドキュメントのインデックス状態です。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: ドキュメント識別子です。
                        indexing_status:
                          type: string
                          description: >-
                            現在のインデックスステータスです：`waiting`、`parsing`、`cleaning`、`splitting`、`indexing`、`completed`、または
                            `error`。
                        processing_started_at:
                          type: number
                          description: 処理開始時の Unix タイムスタンプです。
                        parsing_completed_at:
                          type: number
                          description: パース完了時の Unix タイムスタンプです。
                        cleaning_completed_at:
                          type: number
                          description: クリーニング完了時の Unix タイムスタンプです。
                        splitting_completed_at:
                          type: number
                          description: 分割完了時の Unix タイムスタンプです。
                        completed_at:
                          type: number
                          description: インデックス完了時の Unix タイムスタンプです。
                        paused_at:
                          type: number
                          nullable: true
                          description: インデキシングが一時停止されたタイムスタンプ。一時停止されていない場合は `null`。
                        error:
                          type: string
                          nullable: true
                          description: インデキシングが失敗した場合のエラーメッセージ。エラーがない場合は `null`。
                        stopped_at:
                          type: number
                          nullable: true
                          description: インデキシングが停止されたタイムスタンプ。停止されていない場合は `null`。
                        completed_segments:
                          type: integer
                          description: インデックス済みのチャンク数です。
                        total_segments:
                          type: integer
                          description: インデックス対象のチャンクの合計数です。
                    description: インデキシングステータスエントリのリスト。
              examples:
                success:
                  summary: レスポンス例
                  value:
                    data:
                      - id: a8e0e5b5-78c6-4130-a5ce-25feb0e0b4ac
                        indexing_status: completed
                        processing_started_at: 1741267200
                        parsing_completed_at: 1741267200
                        cleaning_completed_at: 1741267200
                        splitting_completed_at: 1741267200
                        completed_at: 1741267200
                        paused_at: null
                        error: null
                        stopped_at: null
                        completed_segments: 5
                        total_segments: 5
        '404':
          description: '`not_found` : ナレッジベースが見つかりません。/ ドキュメントが見つかりません。'
          content:
            application/json:
              examples:
                dataset_not_found:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Dataset not found.
                documents_not_found:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Documents not found.
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 認証です。すべての API リクエストにおいて、`Authorization` HTTP ヘッダーに `Bearer `
        プレフィックスを付けた API Key を含めてください。例：`Authorization: Bearer {API_KEY}`。**API
        Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key
        の漏洩は深刻な結果につながる可能性があります。**

````